@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Sora:wght@100..800&display=swap');

/* Colors //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
:root {

	--background: #121414;
	--surface: rgba(255, 255, 255, 0.03);
	--outline: rgba(255, 255, 255, 0.10);
	--primary: #7CF4FF;
	--onSurface: #BAC9CB;
	--onSurfaceVariant: #FFFFFF;

}

.class {

	color: var(--background);
	color: var(--background);
	color: var(--surface);
	color: var(--outline);
	color: var(--primary);
	color: var(--onSurface);
	color: var(--onSurfaceVariant);

}

/* Fonts, Typography & Typescale ///////////////////////////////////////////////////////////////////////////////////////////////////*/
:root {

	--heading-text: 'Sora', serif;
	--body-text: 'Inter', serif;
}

:root {
	--fs-h1: clamp(44px, 6.39vi + 20.06px, 112px);
	--fs-h2: clamp(32px, 1.50vi + 26.37px, 48px);
	--fs-h3: clamp(26px, 0.94vi + 22.48px, 36px);
	--fs-lg: clamp(20px, 0.38vi + 18.59px, 24px);
	--fs-md: clamp(16px, 0.19vi + 15.30px, 18px);
	--fs-sm: clamp(14px, 0.19vi + 13.30px, 16px);
	--fs-xsm: clamp(11px, 0.09vi + 10.65px, 12px);
}

body {
	font-family: var(--body-text);
	font-size: var(--fs-md);
	color: var(--onSurface);
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

/* Heading and Text Reset */
h1,
h2,
h3,
h4,
h5,
h6 {
	margin: 0;
	padding: 0;
	font-family: var(--heading-text);
	font-weight: 400 !important;
	line-height: 1.6;
	color: var(--onSurfaceVariant);
}

p {
	margin: 0;
	padding: 0;
	font-family: var(--body-text);
}

/* Font Sizes */
.fs-h1,
.fs-h2,
.fs-h3,
.fs-h4,
.fs-h5,
.fs-h6 {
	margin: 0;
	padding: 0;
	line-height: 1.5;
}

.fs-xsm {
	font-size: var(--fs-xsm);
}

.fs-sm {
	font-size: var(--fs-sm);
}

.fs-md {
	font-size: var(--fs-md);
}

.fs-lg {
	font-size: var(--fs-lg);
}

.fs-h6 {
	font-size: var(--fs-h6);
}

.fs-h5 {
	font-size: var(--fs-h5);
}

.fs-h4 {
	font-size: var(--fs-h4);
}

.fs-h3 {
	font-size: var(--fs-h3);
}

.fs-h2 {
	font-size: var(--fs-h2);
}

.fs-h1 {
	font-size: var(--fs-h1);
}

/* Line Height */
.fs-h1,
.fs-h2 {
	line-height: 100%;
}

.fs-h3,
.fs-h4,
.fs-h5,
.fs-h6 {
	line-height: 120%;
}

.fs-lg,
.fs-md,
.fs-sm {
	line-height: 140%;
}

.fs-xsm {
	line-height: 150%;
}

.form-label,
.form-field,
.form-validation,
.form-note {
	line-height: 130%;
}

/* Font Weight */
.fw-100 {
	font-weight: 100 !important;
}

.fw-200 {
	font-weight: 200 !important;
}

.fw-300 {
	font-weight: 300 !important;
}

.fw-400 {
	font-weight: 400 !important;
}

.fw-500 {
	font-weight: 500 !important;
}

.fw-600 {
	font-weight: 600 !important;
}

.fw-700 {
	font-weight: 700 !important;
}

.fw-800 {
	font-weight: 800 !important;
}

.fw-900 {
	font-weight: 900 !important;
}

/* Text Transform */
.fs-lowercase {
	text-transform: lowercase !important;
}

.fs-uppercase {
	text-transform: uppercase !important;
}

.fs-titlecase {
	text-transform: capitalize !important;
}

/* Text Align */
.text-right {
	text-align: right !important;
}

.text-left {
	text-align: left !important;
}

.text-center {
	text-align: center !important;
}

.text-underline {
	border-bottom: 2px solid !important;
}

/**/
.prime-text {
	color: var(--primary);
}

/* HTML& Body //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
* {
	box-sizing: border-box;
}

html {
	margin: 0 !important;
	padding: 0;
	font-size: 10px;
	scroll-behavior: smooth;
}

body {
	margin: 0;
	padding: 0;
	color: var(--onSurface);
	background: var(--background);
	position: relative;
	transition: background-color 1s ease;
}

body.admin-bar {
	padding: 3.2rem 0 0 0;
}

/* Utility Classes /////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
/* Unordered List */
ul.list-unstyled,
ol.list-unstyled {
	margin: 0;
	padding: 0;
	list-style: none;
}

ul.list-unstyled li,
ol.list-unstyled li {
	margin: 0;
	padding: 0;
	display: block;
}

/* Inline Unordered List */
ul.list-inline {
	margin: 0;
	padding: 0;
	list-style: none;
}

ul.list-inline li {
	margin: 0;
	padding: 0;
	display: inline-block;
}

/**/
/* Image and Thumbnails */
.thumbnail {
	margin: 0;
	padding: 0;
	border: 1px solid var(--outline);
	border-radius: 2.4rem;
	float: none;
	background: none;
	overflow: hidden;
	font-size: 0rem;
	line-height: 0.1rem;
	text-align: center;
}

.thumbnail img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}

/* Links, Form Fields and Buttons //////////////////////////////////////////////////////////////////////////////////////////////////*/
/* Links */
a {
	color: var(--primary);
	text-decoration: none;
	/*transition: all ease 0.2s;*/
}

a:hover {
	color: var(--primary);
}

a:hover,
a:focus {
	text-decoration: none;
	outline: none;
}

/* Button Rest */
.btn,
.wpcf7-submit {
	display: flex;
	margin: 0;
	padding: 1.2rem 2.4rem;
	height: 5.6rem;
	font-weight: 600;
	text-align: center;
	/*line-height: 0;*/
	border: none;
	background: none;
	cursor: pointer;
	border-radius: 100rem;
	transition: all ease 0.5s;
	justify-content: center;
	align-items: center;
}



.btn.btn-primary,
.wpcf7-submit {
	color: var(--background);
	background: #00F0FF;
	background: linear-gradient(45deg, rgba(0, 240, 255, 1) 0%, rgba(236, 178, 255, 1) 100%);
}

.btn.btn-primary.btn-has-border {
	color: var(--onSurfaceVariant);
	border: 1px solid var(--outline);
	background: var(--background);
}

.btn svg {
	vertical-align: middle;
	stroke: var(--background) !important;
}

.btn.btn-has-border svg {
	vertical-align: middle;
	stroke: var(--onSurfaceVariant) !important;
}

/* Pagination //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
/* Post Archive Pagination */
.navigation.pagination {
	margin: 8.0rem 0 0 0;
	text-align: center;
}

.nav-links {
	display: flex;
	gap: 1.6rem;
	margin: auto;
	padding: 1.6rem;
	width: fit-content;
	border-radius: 999rem;
	border: 1px solid var(--outline);
	background: var(--surface);
}

.page-numbers {
	display: flex;
	align-items: center;
	/* vertical centering */
	justify-content: center;
	/* horizontal centering */
	width: 4.8rem;
	height: 4.8rem;
	text-decoration: none;
	border-radius: 999rem;
	background: var(--background);
}

.page-numbers.prev svg.icon,
.page-numbers.next svg.icon {
	width: 2.4rem;
	height: 2.4rem;
	fill: var(--onSurfaceVariant);
}

.page-numbers.current {
	color: var(--primary);
}

/* Post Single Pagination */
.navigation.post-navigation {}

.navigation.post-navigation .nav-links {
	display: flex;
	gap: 2.4rem;
	flex-direction: column;
	margin: auto;
	padding: 0;
	width: fit-content;
	border-radius: none;
	border: none;
	background: none;
}

.nav-previous,
.nav-next {
	padding: 2.0rem;
	color: var(--onSurface) !important;
	border: 1px solid var(--outline);
	border-radius: 2.0rem;
	background: var(--surface);
	-webkit-backdrop-filter: blur(3px);
	backdrop-filter: blur(3px);
	/*max-width: 51.2rem;*/
}

.nav-previous a,
.nav-next a {
	color: var(--onSurface) !important;
}

.nav-previous svg,
.nav-next svg {
	width: 2.4rem;
	height: 2.4rem;
	fill: var(--onSurfaceVariant);
}

.nav-subtitle {
	gap: 1.6rem;
	display: flex;
	align-items: center;
	/* vertical centering */
	justify-content: left;
	/* horizontal centering */
}

.nav-next .nav-subtitle {
	justify-content: right;
	/* horizontal centering */
}

.nav-title {
	margin: 0.8rem 0 0.4rem 0;
}

@media (min-width: 1023px) {
	.navigation.post-navigation .nav-links {
		gap: 4.0rem;
		flex-direction: row;
	}
}

/* Components //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
.section-header {
	margin: 0 0 4.0rem 0;
}

.section-header .section-header-title {
	margin: 0;
}

.section-header .section-header-subtitle {
	margin: 1.6rem 0 0 0;
}

.section-header .section-header-description {
	margin: 2.4rem 0 0 0;
}

@media (min-width: 1023px) {
	.section-header {
		margin: 0 0 6.4rem 0;
	}

}

/**/
.card-primary {
	padding: 2.0rem;
	border: 1px solid var(--outline);
	border-radius: 2.0rem;
	background: var(--surface);
	-webkit-backdrop-filter: blur(3px);
	backdrop-filter: blur(3px);
}

.card-primary .card-icon {
	margin-bottom: 2.4rem;
	padding: 1.6rem;
	width: fit-content;
	border: 1px solid var(--background);
	border-radius: 1.6rem;
	background: var(--surface);
}

.card-primary.steps .card-icon {
	margin-bottom: 2.4rem;
	padding: 0;
	width: fit-content;
	border: none;
	border-radius: 0;
	background: none;
}

.card-primary.steps .card-icon svg {
	width: 4.0rem;
	height: 4.0rem;
}

.card-primary .card-content {}

.card-primary .card-content .card-title {
	margin: 0 0 0.8rem 0;
}

.card-primary .card-content .card-subtitle {}

.card-primary .card-content .card-description {}

.card-inline {
	margin: 0 0 4.0rem 0;
	display: flex;
	gap: 2.4rem;
	align-items: center;
}

.card-inline .card-icon {
	padding: 1.6rem;
	width: fit-content;
	border: 1px solid var(--background);
	border-radius: 1.6rem;
	background: var(--surface);
}

.card-inline .card-icon svg {
	width: 4.0rem;
	height: 4.0rem;
}


@media (min-width: 1023px) {
	.card-primary {
		padding: 2.4rem;
		border: 1px solid var(--outline);
		border-radius: 2.4rem;
		background: var(--surface);
		-webkit-backdrop-filter: blur(3px);
		backdrop-filter: blur(3px);
	}

	.card-primary .card-icon {
		margin-bottom: 8.0rem;
		padding: 2.4rem;
		width: fit-content;
		border: 1px solid var(--background);
		border-radius: 1.6rem;
		background: var(--surface);
	}

	.card-primary .card-icon svg {
		width: 4.0rem;
		height: 4.0rem;
	}

	.card-primary.steps .card-icon svg {
		width: 6.4rem;
		height: 6.4rem;
	}

	.card-primary .card-content {}

	.card-primary .card-content .card-title {
		margin: 0 0 1.6rem 0;
	}

}

/**/
.card-project {}

/**/
.section-cta .card-primary {}


.section-cta .section-title,
.section-cta .section-subtitle,
.section-cta .section-description,
.section-cta .section-additional-info {
	margin: auto;
	max-width: 126.0rem;
}

.section-cta .section-title {
	margin-bottom: 1.6rem;
}

.section-cta .section-subtitle {
	margin-bottom: 2.4rem;
}

.section-cta .section-description {
	margin-bottom: 2.4rem;
}

.section-cta .section-additional-info {
	margin-bottom: 3.2rem;
}

.section-cta .section-additional-info p {
	margin: 0.8rem 0;
}

.section-cta .list-inline {
	margin: 4.0rem auto 0 auto;
	text-align: center;
}

.section-cta .list-inline li {
	margin: 1.6rem 0;
	display: block;
}

.section-cta .list-inline li a {
	width: 100%;
}

@media (min-width: 1023px) {
	.section-cta .card-primary {
		padding: 8.0rem;
	}

	.section-cta .section-title {
		margin-bottom: 2.4rem;
	}

	.section-cta .section-subtitle {
		margin-bottom: 3.2rem;
	}

	.section-cta .list-inline li {
		margin: 0 0.8rem;
		display: inline-block;
	}

	.section-cta .list-inline li a {
		width: auto;
		min-width: 25.6rem;
	}
}

.projects-grid {
	margin-bottom: 4.0rem;
	display: grid;
	grid-gap: 3.2rem;
	grid-template-columns: repeat(1, 1fr);
}

.projects-grid a.card-primary {
	color: var(--onSurface) !important;
	min-height: 42.0rem;
	display: flex;
	flex-direction: row;
	justify-content: start;
	align-items: end;
	position: relative;
	border: none !important;
	overflow: hidden !important;
	background-size: cover !important;
	background-position: center !important;
	background-repeat: no-repeat !important;
}

.projects-grid a.card-primary .background-gradient {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: linear-gradient(0deg, rgba(18, 20, 20, 0.7) 30%, rgba(255, 255, 255, 0.1) 100%);
	z-index: 1;
	transition: background 0.5s;
}

/* Create the hover gradient as a separate layer */
.projects-grid a.card-primary .background-gradient::after {
	content: "";
	position: absolute;
	inset: 0;
	background: linear-gradient(0deg,
		rgba(18, 20, 20, 0.9) 30%,
		rgba(255, 255, 255, 0.2) 100%);
	opacity: 0;
	transition: opacity 0.5s ease;
}

.projects-grid a.card-primary:hover .background-gradient::after {
	opacity: 1;
}


.projects-grid a.card-primary .card-content {
	position: relative;
	z-index: 2;
}

.projects-grid .card-content .project-tags {
	display: flex;
	flex-wrap: wrap;
	gap: 0.8rem;
}

.projects-grid .card-content .project-tags .project-tag {
	padding: 0.6rem 0.8rem;
	background: var(--background);
	border-radius: 999rem;
	color: var(--primary) !important;
	white-space: nowrap;
}

.projects-grid .card-content .card-title {
	margin: 1.6rem 0 0.8rem 0;
}


@media (min-width: 767px) {
	.projects-grid {
		grid-gap: 4.0rem;
		grid-template-columns: repeat(2, 1fr);
	}

	.projects-grid a.card-primary:nth-child(1) {
		grid-column: span 1;
		grid-row: span 2;
	}

	.projects-grid a.card-primary:nth-child(2) {
		grid-column: span 1;
		grid-row: span 1;
	}

	.projects-grid a.card-primary:nth-child(3) {
		grid-column: span 1;
		grid-row: span 1;
	}

	.projects-grid a.card-primary:nth-child(4) {
		grid-column: span 2;
		grid-row: span 2;
	}

	.projects-grid a.card-primary:nth-child(5) {
		grid-column: span 1;
		grid-row: span 1;
	}

	.projects-grid a.card-primary:nth-child(6) {
		grid-column: span 1;
		grid-row: span 1;
	}
}

@media (min-width: 1023px) {
	.projects-grid {
		grid-gap: 4.0rem;
		grid-template-columns: repeat(3, 1fr);
	}

	.projects-grid a.card-primary:nth-child(1) {
		grid-column: span 1;
		grid-row: span 2;
	}

	.projects-grid a.card-primary:nth-child(2) {
		grid-column: span 2;
		grid-row: span 1;
	}

	.projects-grid a.card-primary:nth-child(3) {
		grid-column: span 1;
		grid-row: span 1;
	}

	.projects-grid a.card-primary:nth-child(4) {
		grid-column: span 1;
		grid-row: span 1;
	}

	.projects-grid a.card-primary:nth-child(5) {
		grid-column: span 2;
		grid-row: span 1;
	}

	.projects-grid a.card-primary:nth-child(6) {
		grid-column: span 1;
		grid-row: span 1;
	}
}